Package Details: adobe-air-sdk 2.6-10

Git Clone URL: https://aur.archlinux.org/adobe-air-sdk.git (read-only)
Package Base: adobe-air-sdk
Description: Adobe Air Software Development Kit and Runtime Environment
Upstream URL: http://get.adobe.com/air
Licenses: custom
Submitter: prurigro
Maintainer: None
Last Packager: prurigro
Votes: 459
Popularity: 0.478111
First Submitted: 2009-04-17 11:06
Last Updated: 2015-07-06 23:27

Pinned Comments

buzo commented on 2018-09-12 13:26

This is not supported any more by upstream since 2011: https://blogs.adobe.com/flashplayer/2011/06/adobe-air-and-linux-increasing-distribution-on-devices.html

Latest Comments

1 2 3 4 5 6 ... Next › Last »

buzo commented on 2018-09-12 13:26

This is not supported any more by upstream since 2011: https://blogs.adobe.com/flashplayer/2011/06/adobe-air-and-linux-increasing-distribution-on-devices.html

xyproto commented on 2018-08-27 14:45

@sami, please update the download URL to start with "https://"

jktr commented on 2018-07-10 10:40

I got spurious server-side failures trying to download the sources (until Adobe's server failed over from Apache to Akamai's CDN). It seems Adobe's dropped support for plain HTTP here; Akamai at least redirects to HTTPS.

Could you consider updating the source array to use HTTPs instead, please?

richcocoa commented on 2017-07-29 07:17

You may get a missing dependencies error if you use aura to install AUR packages. Just install the missing dependencies manually, then try reinstalling the package.

prurigro commented on 2016-09-14 18:04

This package hasn't been supported by Adobe for quite some time now so I've decided to drop it

ChaosKid42 commented on 2015-10-08 15:48

Would you mind dependencies to lib32-libxt, lib32-libxtst, libxt, and libxtst?

I believe those are missing in the PKGBUILD.

Thanks.

prurigro commented on 2015-06-13 04:34

@grondinm: Strange, the old link worked for me, but I see no reason not to use the one you're suggesting and have changed it to that. If you only made the suggestion because your link won't change as the package version changes, it wasn't really necessary as Adobe has stopped making releases for Linux :(. Either way, thanks for the feedback!

@schard: I'm not sure why your permissions are different than the ones in the package generated when I run makepkg, but I've updated the PKGBUILD to explicitly set this in case others run into the same issue (it's not hurting anything). Thanks for the feedback!

grondinm commented on 2015-04-26 22:01

download link should be

http://airdownload.adobe.com/air/lin/download/2.6/AdobeAIRSDK.tbz2

schard commented on 2015-03-27 09:41

The file permissions of the current version are possibly broken:

126 ✗ rne@neumann /opt/adobe-air-sdk/bin $ /opt/adobe-air-sdk/bin/adl
bash: /opt/adobe-air-sdk/bin/adl: Keine Berechtigung
126 ✗ rne@neumann /opt/adobe-air-sdk/bin $ ls -alF /opt/adobe-air-sdk/bin/adl
-rwxr-x--- 1 root root 17164 27. Mär 2015 /opt/adobe-air-sdk/bin/adl*
0 ✓ rne@neumann /opt/adobe-air-sdk/bin $

Maybe the binaries should be able to be executed by anybody and not only the root group and user.

schard commented on 2015-03-27 09:35

The file permissions of the current version are possibly broken:

126 ✗ rne@neumann /opt/adobe-air-sdk/bin $ /opt/adobe-air-sdk/bin/adl
bash: /opt/adobe-air-sdk/bin/adl: Keine Berechtigung
126 ✗ rne@neumann /opt/adobe-air-sdk/bin $ ls -alF /opt/adobe-air-sdk/bin/adl
-rwxr-x--- 1 root root 17164 27. Mär 2015 /opt/adobe-air-sdk/bin/adl*
0 ✓ rne@neumann /opt/adobe-air-sdk/bin $

Maybe the binaries should be able to be executed by anybody and not only the roor group and user.